Bug 1027296 - wpa_supplicant drops out with wpas_dbus_bss_signal_prop_changed: Unknown Property value 7
wpa_supplicant drops out with wpas_dbus_bss_signal_prop_changed: Unknown Prop...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rashid Khan
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 08:49 EST by R Jenssen
Modified: 2016-02-10 09:43 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 972349
Environment:
Last Closed: 2016-01-26 04:36:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is dmesg before the fault. (69.49 KB, text/plain)
2014-03-26 17:47 EDT, Dano
no flags Details
Freshly rebooted messages file (112.99 KB, text/plain)
2014-03-26 21:20 EDT, Dano
no flags Details

  None (edit)
Description R Jenssen 2013-11-06 08:49:47 EST
+++ This bug was initially created as a clone of Bug #972349 +++

Description of problem:
On 3.11.6-201.fc19.x86_64 with wpa_supplicant-2.0-3.fc19 I get regular 
dropouts on my WiFi network with messages in wpa_supplicant.log like:

wlp8s0: CTRL-EVENT-CONNECTED - Connection to 00:22:3f:4d:25:e2 completed [id=0 id_str=]
dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7

See the following commit message for a commit to the up-stream repository:

http://lists.shmoo.com/pipermail/hostap/2013-March/027452.html

namely:

http://w1.fi/gitweb/gitweb.cgi?p=hostap.git;a=commitdiff;h=a24a5ccb28c2bc7af466e47b84dc346e6c54f062

The patch adds a case for "WPAS_DBUS_BSS_PROP_WPS" in the function
wpa_supplicant/dbus/dbus_new.c:wpas_dbus_bss_signal_prop_changed()

I downloaded wpa_supplicant-2.0-3.fc19.src.rpm. This change does not appear
in dbus_new.c. However, the file dbus_new.h has the following enum:

enum wpas_dbus_bss_prop {
        WPAS_DBUS_BSS_PROP_SIGNAL,
        WPAS_DBUS_BSS_PROP_FREQ,
        WPAS_DBUS_BSS_PROP_MODE,
        WPAS_DBUS_BSS_PROP_PRIVACY,
        WPAS_DBUS_BSS_PROP_RATES,
        WPAS_DBUS_BSS_PROP_WPA,
        WPAS_DBUS_BSS_PROP_RSN,
        WPAS_DBUS_BSS_PROP_WPS,
        WPAS_DBUS_BSS_PROP_IES,
};

ie: WPAS_DBUS_BSS_PROP_WPS is enum 7. 

Perhaps the fc19 wpa_supplicant/dbus/dbus_new.c could be updated with this patch?
Comment 1 Calvin Walton 2014-01-06 17:04:37 EST
The wpa_supplicant messages about "Unsupported Property value 7" are almost certainly unrelated to any issues you may be having with WiFi connectivity; the only thing they cause is log spam and maybe an inability to use WPS authentication.

The Fedora devs would probably find it helpful if you provide information about what wireless card/driver you are using when seeing issues.
Comment 2 careca 2014-01-07 09:23:56 EST
I get these messages in my system (card listed bellow).
Furthermore I can't notice any further problems related to WLAN, just message flood.

$ lspci | grep -i wireless
04:00.0 Network controller: Broadcom Corporation BCM4313 802.11bgn Wireless Network Adapter (rev 01)


My laptop: LENOVO B560 - 4330

$ cat /proc/version
Linux version 3.12.6-200.fc19.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 4.8.2 20131212 (Red Hat 4.8.2-7) (GCC) ) #1 SMP Mon Dec 23 16:33:38 UTC 2013
Comment 3 Simon Sigre 2014-03-22 23:06:19 EDT
I also am noted this 

dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7

It mostly appears when using HotSpots around the city.


Linux version 3.13.6-200.fc20.x86_64 (mockbuild@bkernel02) (gcc version 4.8.2 20131212 (Red Hat 4.8.2-7) (GCC) ) #1 SMP Fri Mar 7 17:02:28 UTC 2014


03:00.0 Network controller: Intel Corporation Wireless 7260 (rev 83)
Comment 4 Dano 2014-03-24 15:20:33 EDT
   I have the exact same problem. When copying a large file over wifi, the wifi connection drops. Tail'ed various logs while testing and wpa_supplicant is the ONLY log that reports anything.

"dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7"

Nothing in message log, nothing in dmesg.

   This has been hounding me since FC13 and three laptops ago.
      Dell C600 running FC13 & FC14
      HP Compaq NC6000 running FC15 & FC16
      Dell D830 running FC17 & FC19
   (By the way, Ubuntu does the same thing so I switched back to Fedora)

Description of problem:
   While using scp or sftp, the wireless will drop after a few seconds.

Reproducible: Always.
   Start a scp copy of a large file (ex. Fedora-Live-Desktop-x86_64-19-1.iso). While that's going on, open another window (ex. File Manager). The transfer speed gradually drops and stalls.

uname -a
Linux d830 3.13.6-100.fc19.x86_64 #1 SMP Fri Mar 7 16:56:44 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

lspci | grep -i wlan
0c:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)
Comment 5 Dano 2014-03-24 16:22:20 EDT
Forgot to mention, when copying a large number of small files the wifi doesn't drop. For example, copied ~1Gig of FLAC files with no problem. The files vary in size from 10Megs to about 50Megs.

Seem to indicate a buffering issue.
Comment 6 Dan Williams 2014-03-26 16:42:16 EDT
As said before, the wpa_supplicant log message is almost definitely unrelated to this.  What kernel messages show in 'dmesg' output around the time this happens?  We're looking for two things:

1) kernel driver error messages
2) roaming from one AP to another AP

If people could paste parts of their dmesg from before the dropout to after the dropout that would be great.
Comment 7 Dano 2014-03-26 17:47:50 EDT
Created attachment 879236 [details]
This is dmesg before the fault.

Took a snpashot of dmesg and then caused the fault. Then took more snapshots of dmesg every minutes for 12 minutes waiting for something to show up. There was nothing new in subsequent dmesg (I have 12 identical files).
According to the wiget at the top right of the screen, it thinks the connection is still there, there is no AP change. NetworkManager doesn't seem to know the connection no longer works. Turning Wi-Fi Off and back On restores the connection. After 3 or 4 times, the connection will not come back, then I have to reboot.
Comment 8 Dano 2014-03-26 21:20:20 EDT
Created attachment 879256 [details]
Freshly rebooted messages file

This is a fresh (just rebooted) messages file.
I tail'ed this file while causing the fault.

sudo tail -f /var/log/messages

When the fault happened, nothing was printed to the file.
Comment 9 Dano 2014-03-31 12:06:59 EDT
I filed Bug #1082690 for my problem. Didn't mean to hijack this bug report.
Comment 10 Fedora End Of Life 2015-01-09 15:29:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 14:05:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 R Jenssen 2015-04-07 07:12:43 EDT
My system is:
3.19.3-200.fc21.x86_64 #1 SMP Thu Mar 26 21:39:42 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

My wireless card is:
$ lspci | grep Ather
08:00.0 Ethernet controller: Qualcomm Atheros AR5212/AR5213 Wireless Network Adapter (rev 01)

Here is the relevant part of wpa_supplicant.log:
Successfully initialized wpa_supplicant
wlp8s0: SME: Trying to authenticate with XXX (SSID='YYY' freq=2447 MHz)
wlp8s0: Trying to associate with XXX (SSID='YYY' freq=2447 MHz)
wlp8s0: Associated with XXX
wlp8s0: WPA: Key negotiation completed with XXX [PTK=CCMP GTK=CCMP]
wlp8s0: CTRL-EVENT-CONNECTED - Connection to XXX completed [id=0 id_str=]
wlp8s0: CTRL-EVENT-DISCONNECTED bssid=XXX reason=4 locally_generated=1
dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7

The version of wpa_supplicant on my system is 2.0-12.fc21. I downloaded wpa_supplicant-2.0-12.fc21.src.rpm. Here is the wpas_dbus_bss_signal_prop_changed() function from 
wpa_supplicant-2.0/wpa_supplicant/dbus/dbus_new.c:
/**
 * wpas_dbus_bss_signal_prop_changed - Signals change of BSS property
 * @wpa_s: %wpa_supplicant network interface data
 * @property: indicates which property has changed
 * @id: unique BSS identifier
 *
 * Sends PropertyChanged signals with path, interface, and arguments depending
 * on which property has changed.
 */
void wpas_dbus_bss_signal_prop_changed(struct wpa_supplicant *wpa_s,
                       enum wpas_dbus_bss_prop property,
                       unsigned int id)
{
    char path[WPAS_DBUS_OBJECT_PATH_MAX];
    char *prop;

    switch (property) {
    case WPAS_DBUS_BSS_PROP_SIGNAL:
        prop = "Signal";
        break;
    case WPAS_DBUS_BSS_PROP_FREQ:
        prop = "Frequency";
        break;
    case WPAS_DBUS_BSS_PROP_MODE:
        prop = "Mode";
        break;
    case WPAS_DBUS_BSS_PROP_PRIVACY:
        prop = "Privacy";
        break;
    case WPAS_DBUS_BSS_PROP_RATES:
        prop = "Rates";
        break;
    case WPAS_DBUS_BSS_PROP_WPA:
        prop = "WPA";
        break;
    case WPAS_DBUS_BSS_PROP_RSN:
        prop = "RSN";
        break;
    case WPAS_DBUS_BSS_PROP_IES:
        prop = "IEs";
        break;
    default:
        wpa_printf(MSG_ERROR, "dbus: %s: Unknown Property value %d",
               __func__, property);
        return;
    }

    os_snprintf(path, WPAS_DBUS_OBJECT_PATH_MAX,
            "%s/" WPAS_DBUS_NEW_BSSIDS_PART "/%u",
            wpa_s->dbus_new_path, id);

    wpa_dbus_mark_property_changed(wpa_s->global->dbus, path,
                       WPAS_DBUS_NEW_IFACE_BSS, prop);
}

Note that the switch statement does not check for WPAS_DBUS_BSS_PROP_WPS and returns without calling wpa_dbus_mark_property_changed(). 

The upstream repository at http://w1.fi/gitweb/gitweb.cgi?p=hostap.git;a=commitdiff;h=a24a5ccb28c2bc7af466e47b84dc346e6c54f062 has the
following commit message:

Commit caff399250311abfea3376b38530a88bb78b957d added a property named
"WPS" to the dbus interface. It did not add the new
WPAS_DBUS_BSS_PROP_WPS property to the function responsible for marking
changed properties though. This cause the following messages to be
printed repeatedly to syslog:

    dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7


My system is:
3.19.3-200.fc21.x86_64 #1 SMP Thu Mar 26 21:39:42 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

My wireless card is:
$ lspci | grep Ather
08:00.0 Ethernet controller: Qualcomm Atheros AR5212/AR5213 Wireless Network Adapter (rev 01)

Here is the relevant part of wpa_supplicant.log:

Successfully initialized wpa_supplicant
wlp8s0: SME: Trying to authenticate with XXX (SSID='YYY' freq=2447 MHz)
wlp8s0: Trying to associate with XXX (SSID='YYY' freq=2447 MHz)
wlp8s0: Associated with XXX
wlp8s0: WPA: Key negotiation completed with XXX [PTK=CCMP GTK=CCMP]
wlp8s0: CTRL-EVENT-CONNECTED - Connection to XXX completed [id=0 id_str=]
wlp8s0: CTRL-EVENT-DISCONNECTED bssid=XXX reason=4 locally_generated=1
dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7

The version of wpa_supplicant on my system is 2.0-12.fc21. I downloaded wpa_supplicant-2.0-12.fc21.src.rpm. Here is the wpas_dbus_bss_signal_prop_changed() function from 
wpa_supplicant-2.0/wpa_supplicant/dbus/dbus_new.c:

/**
 * wpas_dbus_bss_signal_prop_changed - Signals change of BSS property
 * @wpa_s: %wpa_supplicant network interface data
 * @property: indicates which property has changed
 * @id: unique BSS identifier
 *
 * Sends PropertyChanged signals with path, interface, and arguments depending
 * on which property has changed.
 */
void wpas_dbus_bss_signal_prop_changed(struct wpa_supplicant *wpa_s,
                       enum wpas_dbus_bss_prop property,
                       unsigned int id)
{
    char path[WPAS_DBUS_OBJECT_PATH_MAX];
    char *prop;

    switch (property) {
    case WPAS_DBUS_BSS_PROP_SIGNAL:
        prop = "Signal";
        break;
    case WPAS_DBUS_BSS_PROP_FREQ:
        prop = "Frequency";
        break;
    case WPAS_DBUS_BSS_PROP_MODE:
        prop = "Mode";
        break;
    case WPAS_DBUS_BSS_PROP_PRIVACY:
        prop = "Privacy";
        break;
    case WPAS_DBUS_BSS_PROP_RATES:
        prop = "Rates";
        break;
    case WPAS_DBUS_BSS_PROP_WPA:
        prop = "WPA";
        break;
    case WPAS_DBUS_BSS_PROP_RSN:
        prop = "RSN";
        break;
    case WPAS_DBUS_BSS_PROP_IES:
        prop = "IEs";
        break;
    default:
        wpa_printf(MSG_ERROR, "dbus: %s: Unknown Property value %d",
               __func__, property);
        return;
    }

    os_snprintf(path, WPAS_DBUS_OBJECT_PATH_MAX,
            "%s/" WPAS_DBUS_NEW_BSSIDS_PART "/%u",
            wpa_s->dbus_new_path, id);

    wpa_dbus_mark_property_changed(wpa_s->global->dbus, path,
                       WPAS_DBUS_NEW_IFACE_BSS, prop);
}

Note that the switch statement does not check for WPAS_DBUS_BSS_PROP_WPS and the function returns without calling wpa_dbus_mark_property_changed(). 

The upstream repository at http://w1.fi/gitweb/gitweb.cgi?p=hostap.git;a=commitdiff;h=a24a5ccb28c2bc7af466e47b84dc346e6c54f062 has the
following commit message:

Commit caff399250311abfea3376b38530a88bb78b957d added a property named
"WPS" to the dbus interface. It did not add the new
WPAS_DBUS_BSS_PROP_WPS property to the function responsible for marking
changed properties though. This cause the following messages to be
printed repeatedly to syslog:

    dbus: wpas_dbus_bss_signal_prop_changed: Unknown Property value 7

The upstream repository commit description shown above includes the following diff:

diff --git a/wpa_supplicant/dbus/dbus_new.c b/wpa_supplicant/dbus/dbus_new.c
index 8bc6618..5b4a0a4 100644 (file)
--- a/wpa_supplicant/dbus/dbus_new.c
+++ b/wpa_supplicant/dbus/dbus_new.c
@@ -1808,6 +1808,9 @@ void wpas_dbus_bss_signal_prop_changed(struct wpa_supplicant *wpa_s,
        case WPAS_DBUS_BSS_PROP_RSN:
                prop = "RSN";
                break;
+       case WPAS_DBUS_BSS_PROP_WPS:
+               prop = "WPS";
+               break;
        case WPAS_DBUS_BSS_PROP_IES:
                prop = "IEs";
                break;



Please apply the upstream patch to the fc21 version of
wpa_supplicant-2.0/wpa_supplicant/dbus/dbus_new.c
Comment 13 Jan Kurik 2015-12-22 06:32:40 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.
Comment 14 R Jenssen 2015-12-22 07:14:47 EST
Fixed in wpa_supplicant-2.4-7.fc23.src.rpm

Note You need to log in before you can comment on or make changes to this bug.